import React from "react";
type Callbacks = {
    onFocus: <F>(event: React.FocusEvent<F>) => void;
    onBlur: <B>(event: React.FocusEvent<B>) => void;
};
type ExtraRenderProps = {
    renderLeft: (p: StateProps & Callbacks) => React.ReactNode;
    renderRight: (p: StateProps & Callbacks) => React.ReactNode;
};
export type StateProps = {
    error?: string | undefined;
    disabled?: boolean;
    isDisabled?: boolean;
};
export type Props = StateProps & ExtraRenderProps;
export default function SplitInput(props: Props): JSX.Element;
export {};
